Skip to main content
GET
/
account_lock
List Account Locks
curl --request GET \
  --url https://api.treasuryprime.com/account_lock \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "account_id": "<string>",
      "additional_context": "<string>",
      "bank_id": "<string>",
      "id": "<string>",
      "locked": "true",
      "org_id": "<string>",
      "reason": "<string>",
      "released_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_id
string

ID of account that is associated with the account lock. Filterable.

bank_id
string

ID of bank that is associated with the account lock. Filterable.

locked
enum<string>

true if the account lock is active. Filterable.

Available options:
true,
false
org_id
string

ID of organization that is associated with the account lock. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size lock elements, starting after the lock described by page_cursor. If no more locks are available, the resulting list will be empty.

data
object[]